Ticket v1.0.0
Get tickets
GET
https://my.sitebay.org/f/api/v1/support/ticket
Get your support ticket requests
Authorizations
| OAuth2PasswordBearer | |
| APIKeyCookie |
Response Samples
{
"category": null,
"created_at": null,
"description": null,
"id": null,
"is_openai_thread": null,
"messages_remaining": null,
"openai_custom_instructions": null,
"resolved": null,
"resolved_at": null,
"subject": null,
"team_id": null,
"ticket_replies": [
{
"created_at": null,
"description": null,
"id": null,
"is_gpt_chat_message": null,
"openai_message_id": null,
"resolve": null,
"user": {
"created_at": null,
"email": null,
"first_name": null,
"full_name": null,
"id": null,
"is_active": null,
"is_payment_verified": null,
"is_superuser": null,
"is_verified": null,
"last_name": null,
"posthog_user_id": null
}
}
]
}Responses
Successful Response
category | | ||||||||||||||||||||||||||||||||||||
created_at | string<date-time> | ||||||||||||||||||||||||||||||||||||
description | string | ||||||||||||||||||||||||||||||||||||
id | string<uuid4> | ||||||||||||||||||||||||||||||||||||
is_openai_thread | boolean | ||||||||||||||||||||||||||||||||||||
messages_remaining | integer | ||||||||||||||||||||||||||||||||||||
openai_custom_instructions | | ||||||||||||||||||||||||||||||||||||
resolved | boolean | ||||||||||||||||||||||||||||||||||||
resolved_at | | ||||||||||||||||||||||||||||||||||||
subject | string | ||||||||||||||||||||||||||||||||||||
team_id | string<uuid4> | ||||||||||||||||||||||||||||||||||||
ticket_replies | array
of objects
|
Create Ticket
POST
https://my.sitebay.org/f/api/v1/support/ticket
Create a support ticket request
Authorizations
| OAuth2PasswordBearer | |
| APIKeyCookie |
Request Body Schema
category | |
description Required | string |
resolved | booleanDefault:
false |
s3_object | |
site_live_id | |
subject Required | string |
team_id Required | string<uuid4> |
Response Samples
{
"category": null,
"created_at": null,
"description": null,
"id": null,
"is_openai_thread": null,
"messages_remaining": null,
"openai_custom_instructions": null,
"resolved": null,
"resolved_at": null,
"subject": null,
"team_id": null,
"ticket_replies": [
{
"created_at": null,
"description": null,
"id": null,
"is_gpt_chat_message": null,
"openai_message_id": null,
"resolve": null,
"user": {
"created_at": null,
"email": null,
"first_name": null,
"full_name": null,
"id": null,
"is_active": null,
"is_payment_verified": null,
"is_superuser": null,
"is_verified": null,
"last_name": null,
"posthog_user_id": null
}
}
]
}{
"detail": [
{
"loc": [
null
],
"msg": null,
"type": null
}
]
}Responses
Successful Response
category | | ||||||||||||||||||||||||||||||||||||
created_at Required | string<date-time> | ||||||||||||||||||||||||||||||||||||
description Required | string | ||||||||||||||||||||||||||||||||||||
id Required | string<uuid4> | ||||||||||||||||||||||||||||||||||||
is_openai_thread Required | boolean | ||||||||||||||||||||||||||||||||||||
messages_remaining Required | integer | ||||||||||||||||||||||||||||||||||||
openai_custom_instructions | | ||||||||||||||||||||||||||||||||||||
resolved Required | boolean | ||||||||||||||||||||||||||||||||||||
resolved_at | | ||||||||||||||||||||||||||||||||||||
subject Required | string | ||||||||||||||||||||||||||||||||||||
team_id Required | string<uuid4> | ||||||||||||||||||||||||||||||||||||
ticket_replies Required | array
of objects
|
Validation Error
detail | array
of objects
|
Delete Ticket
DELETE
https://my.sitebay.org/f/api/v1/support/ticket/{ticket_id}
Delete a support ticket request by its ID
Authorizations
| OAuth2PasswordBearer | |
| APIKeyCookie |
Query Parameters
| ticket_id |
|
Response Samples
{}{
"detail": [
{
"loc": [
null
],
"msg": null,
"type": null
}
]
}Responses
Successful Response
Validation Error
detail | array
of objects
|
Get Ticket
GET
https://my.sitebay.org/f/api/v1/support/ticket/{ticket_id}
Get a support ticket request by its ID
Authorizations
| OAuth2PasswordBearer | |
| APIKeyCookie |
Query Parameters
| ticket_id |
|
Response Samples
{
"category": null,
"created_at": null,
"description": null,
"id": null,
"is_openai_thread": null,
"messages_remaining": null,
"openai_custom_instructions": null,
"resolved": null,
"resolved_at": null,
"subject": null,
"team_id": null,
"ticket_replies": [
{
"created_at": null,
"description": null,
"id": null,
"is_gpt_chat_message": null,
"openai_message_id": null,
"resolve": null,
"user": {
"created_at": null,
"email": null,
"first_name": null,
"full_name": null,
"id": null,
"is_active": null,
"is_payment_verified": null,
"is_superuser": null,
"is_verified": null,
"last_name": null,
"posthog_user_id": null
}
}
]
}{
"detail": [
{
"loc": [
null
],
"msg": null,
"type": null
}
]
}Responses
Successful Response
category | | ||||||||||||||||||||||||||||||||||||
created_at Required | string<date-time> | ||||||||||||||||||||||||||||||||||||
description Required | string | ||||||||||||||||||||||||||||||||||||
id Required | string<uuid4> | ||||||||||||||||||||||||||||||||||||
is_openai_thread Required | boolean | ||||||||||||||||||||||||||||||||||||
messages_remaining Required | integer | ||||||||||||||||||||||||||||||||||||
openai_custom_instructions | | ||||||||||||||||||||||||||||||||||||
resolved Required | boolean | ||||||||||||||||||||||||||||||||||||
resolved_at | | ||||||||||||||||||||||||||||||||||||
subject Required | string | ||||||||||||||||||||||||||||||||||||
team_id Required | string<uuid4> | ||||||||||||||||||||||||||||||||||||
ticket_replies Required | array
of objects
|
Validation Error
detail | array
of objects
|
Update a Team
PATCH
https://my.sitebay.org/f/api/v1/support/ticket/{ticket_id}
Adjust your team’s settings
Authorizations
| OAuth2PasswordBearer | |
| APIKeyCookie |
Query Parameters
| ticket_id |
|
Request Body Schema
openai_custom_instructions | |
Response Samples
{
"category": null,
"created_at": null,
"description": null,
"id": null,
"is_openai_thread": null,
"messages_remaining": null,
"openai_custom_instructions": null,
"resolved": null,
"resolved_at": null,
"subject": null,
"team_id": null,
"ticket_replies": [
{
"created_at": null,
"description": null,
"id": null,
"is_gpt_chat_message": null,
"openai_message_id": null,
"resolve": null,
"user": {
"created_at": null,
"email": null,
"first_name": null,
"full_name": null,
"id": null,
"is_active": null,
"is_payment_verified": null,
"is_superuser": null,
"is_verified": null,
"last_name": null,
"posthog_user_id": null
}
}
]
}{
"detail": [
{
"loc": [
null
],
"msg": null,
"type": null
}
]
}Responses
Successful Response
category | | ||||||||||||||||||||||||||||||||||||
created_at Required | string<date-time> | ||||||||||||||||||||||||||||||||||||
description Required | string | ||||||||||||||||||||||||||||||||||||
id Required | string<uuid4> | ||||||||||||||||||||||||||||||||||||
is_openai_thread Required | boolean | ||||||||||||||||||||||||||||||||||||
messages_remaining Required | integer | ||||||||||||||||||||||||||||||||||||
openai_custom_instructions | | ||||||||||||||||||||||||||||||||||||
resolved Required | boolean | ||||||||||||||||||||||||||||||||||||
resolved_at | | ||||||||||||||||||||||||||||||||||||
subject Required | string | ||||||||||||||||||||||||||||||||||||
team_id Required | string<uuid4> | ||||||||||||||||||||||||||||||||||||
ticket_replies Required | array
of objects
|
Validation Error
detail | array
of objects
|
Get Ticket replies
GET
https://my.sitebay.org/f/api/v1/support/ticket/{ticket_id}/reply
Get a support ticket’s replies by its ID
Authorizations
| OAuth2PasswordBearer | |
| APIKeyCookie |
Query Parameters
| ticket_id |
|
| page |
Page number |
| size |
Page size |
Response Samples
{
"count": null,
"limit": null,
"next": null,
"offset": null,
"previous": null,
"results": [
{
"created_at": null,
"description": null,
"id": null,
"is_gpt_chat_message": null,
"openai_message_id": null,
"resolve": null,
"user": {
"created_at": null,
"email": null,
"first_name": null,
"full_name": null,
"id": null,
"is_active": null,
"is_payment_verified": null,
"is_superuser": null,
"is_verified": null,
"last_name": null,
"posthog_user_id": null
}
}
]
}{
"detail": [
{
"loc": [
null
],
"msg": null,
"type": null
}
]
}Responses
Successful Response
count Required | integer | ||||||||||||||||||||||||||||||||||||
limit Required | integer
>=
1 | ||||||||||||||||||||||||||||||||||||
next Required | | ||||||||||||||||||||||||||||||||||||
offset Required | integer
>=
0 | ||||||||||||||||||||||||||||||||||||
previous Required | | ||||||||||||||||||||||||||||||||||||
results Required | array
of objects
|
Validation Error
detail | array
of objects
|
Create Ticket Reply
POST
https://my.sitebay.org/f/api/v1/support/ticket/{ticket_id}/reply
Reply to a support ticket request
Authorizations
| OAuth2PasswordBearer | |
| APIKeyCookie |
Query Parameters
| ticket_id |
|
Request Body Schema
description | |
is_gpt_chat_message | Default:
false |
resolve | |
Response Samples
{
"created_at": null,
"description": null,
"id": null,
"is_gpt_chat_message": null,
"openai_message_id": null,
"resolve": null,
"user": {
"created_at": null,
"email": null,
"first_name": null,
"full_name": null,
"id": null,
"is_active": null,
"is_payment_verified": null,
"is_superuser": null,
"is_verified": null,
"last_name": null,
"posthog_user_id": null
}
}{
"detail": [
{
"loc": [
null
],
"msg": null,
"type": null
}
]
}Responses
Successful Response
created_at Required | string<date-time> | ||||||||||||||||||||||
description | | ||||||||||||||||||||||
id Required | string<uuid4> | ||||||||||||||||||||||
is_gpt_chat_message Required | | ||||||||||||||||||||||
openai_message_id | | ||||||||||||||||||||||
resolve | | ||||||||||||||||||||||
user Required | object
|
Validation Error
detail | array
of objects
|
